#!/bin/sh
echo "BeKaffe installation script"

KHOME=/boot/home/bekaffe
CNFFILE=/boot/home/.profile
Kaffe_present=`grep "BEKAFFE STUFF" $CNFFILE`
if test -z "$Kaffe_present"; then
  alert "The BeKaffe install script will modify your .profile configuration file."
  echo "Adding path"
  echo  >> $CNFFILE
  echo "# BEKAFFE STUFF" >> $CNFFILE
  echo "export KAFFEHOME=$KHOME" >> $CNFFILE
  echo "export PATH=\$PATH:\$KAFFEHOME/bin   " >> $CNFFILE
  echo "export CLASSPATH=\$CLASSPATH:.:\$KAFFEHOME/share/kaffe/Klasses.jar:\$KAFFEHOME/swing/swing.jar" >> $CNFFILE
  echo "# BEKAFFE END" >> $CNFFILE
  echo >> $CNFFILE
fi
exit 0